summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-01-30 00:42:35 +0300
committerAndrei Karas <akaras@inbox.ru>2017-01-30 02:56:16 +0300
commit363c4028f82141bf25f774d4e09b5bc9e52e56e1 (patch)
tree085130ca96f885e6ccd590bf3d473e4b27a8f39e /tools
parent44020292c681b0583209d63706e8b26b27f63924 (diff)
downloadplus-363c4028f82141bf25f774d4e09b5bc9e52e56e1.tar.gz
plus-363c4028f82141bf25f774d4e09b5bc9e52e56e1.tar.bz2
plus-363c4028f82141bf25f774d4e09b5bc9e52e56e1.tar.xz
plus-363c4028f82141bf25f774d4e09b5bc9e52e56e1.zip
Add check custom linked libs script for ci.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/ci/scripts/checkldd.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/ci/scripts/checkldd.sh b/tools/ci/scripts/checkldd.sh
new file mode 100755
index 000000000..e728fd85d
--- /dev/null
+++ b/tools/ci/scripts/checkldd.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+echo "Custom libs linked"
+grep "spm" "$(ldd $1)"
+
+search="$2"
+if [[ "${search}" == "" ]]; then
+ search="${LIBNAME}_${LIBVERSION}"
+fi
+res=$(ldd $1|grep "spm"|grep "$search")
+
+if [[ "${res}" == "" ]]; then
+ echo "Cant find requested lib: $search"
+ exit 1
+fi
+exit 0